unit acercade;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls,principal,lenguaje,shellapi,constantes;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Copyright: TLabel;
    OKButton: TButton;
    Label1: TLabel;
    Button1: TButton;
    procedure OKButtonClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;
  salir_about:boolean;

implementation
{$R *.dfm}

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
salir_about:=true;
aboutbox.close;
end;

procedure TAboutBox.Panel1Click(Sender: TObject);
begin
ShellExecute(Handle, 'open', 'http://leniad.cjb.net/dsp/index.htm', nil, nil, SW_SHOW);
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
label1.Caption:='v'+version;
salir_about:=false;
aboutbox.caption:=leng[idioma].archivo[3];
end;

procedure TAboutBox.Button1Click(Sender: TObject);
var
  mensage:string;
  r:integer;
  f:byte;
begin
f:=form1.busca_actualizaciones;
case f of
  0:begin
     mensage:='No Internet connection.'+chr(10)+chr(13)+'No hay conexion a Internet.';
     MessageBox(0,pchar(mensage),'Communications Error / Error de comunicaciones', MB_OK or MB_ICONERROR);
  end;
  1:begin
     mensage:='No DSP update yet.'+chr(10)+chr(13)+'No hay nueva version de DSP aun.';
     MessageBox(0,pchar(mensage),'No update yet / Aun no hay actualizacion', MB_OK or MB_ICONINFORMATION);
  end;
  2:begin
     mensage:='New version detected. Do you want to open the homepage?'+chr(10)+chr(13)+'Nueva version detectada. Quieres abrir la pagina principal?';
     r:=MessageBox(0,pchar(mensage),'New Version!! / Nueva Version!!', MB_YESNO or MB_ICONEXCLAMATION);
     if r=6 then ShellExecute(Handle, 'open', 'http://leniad.cjb.net/dsp/index.htm', nil, nil, SW_SHOW);
  end;
end;
end;

procedure TAboutBox.FormDeactivate(Sender: TObject);
begin
if not(salir_about) then aboutbox.Show;
end;

end.

