unit cargar_dsk;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, StdCtrls, FileCtrl,zipforge,upd765,constantes,lenguaje;

type
  TForm6 = class(TForm)
    Button1: TButton;
    GroupBox1: TGroupBox;
    Button2: TButton;
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    StringGrid1: TStringGrid;
    procedure Button2Click(Sender: TObject);
    procedure FileListBox1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FileListBox1DblClick(Sender: TObject);
    procedure StringGrid1Click(Sender: TObject);
    procedure StringGrid1DblClick(Sender: TObject);
    procedure FileListBox1KeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form6: TForm6;
  nombre_dsk,extension_dsk:string;
  extension_zip,nombre_zip:string;
  datos_dsk:pbyte;
  file_size:integer;

implementation

uses principal;

{$R *.dfm}

procedure TForm6.Button1Click(Sender: TObject);
begin
if datos_dsk<>nil then freemem(datos_dsk);
datos_dsk:=nil;
case tipo_maquina of
  0,1,2:Directory.spectrum_disk:=FileListBox1.Directory;
  3,4,5:Directory.amstrad_disk:=FileListBox1.Directory;
end;
form6.close;
end;

procedure TForm6.Button2Click(Sender: TObject);
begin
FileListBox1DblClick(self);
end;

procedure TForm6.FileListBox1Click(Sender: TObject);
var
  f:word;
  ArchiveItem: TZFArchiveItem;
  temp:pbyte;
  fichero:file of byte;
  zip_obj:tzipforge;
  nombre_def:string;
  longitud:integer;
begin
nombre_dsk:=filelistbox1.FileName;
extension_dsk:=extension_fichero(filelistbox1.FileName);
if datos_dsk<>nil then begin
  freemem(datos_dsk);
  datos_dsk:=nil;
end;
f:=1;
if extension_dsk='ZIP' then begin
  zip_obj:=tzipforge.Create(nil);
  zip_obj.CleanupInstance;
  zip_obj.FileName:=nombre_dsk;
  zip_obj.OpenArchive;
  zip_obj.FindFirst('*.dsk',archiveitem);
  repeat
    nombre_zip:=archiveitem.FileName;
    longitud:=archiveitem.UncompressedSize;
    extension_zip:=extension_fichero(nombre_zip);
    if (extension_zip='DSK') then begin
       stringgrid1.Cells[0,f]:=nombre_zip;
       stringgrid1.Cells[1,f]:=inttostr(longitud);
       if f=1 then begin
        nombre_def:=nombre_zip;
        file_size:=longitud;
        getmem(datos_dsk,longitud);
        temp:=datos_dsk;
        zip_obj.ExtractTobuffer(archiveitem.FileName,temp^,archiveitem.UncompressedSize);
       end;
       inc(f);
    end;
  until not(zip_obj.FindNext(archiveitem));
  nombre_zip:=nombre_def;
  zip_obj.CloseArchive;
  zip_obj.Destroy;
  stringgrid1.RowCount:=f;
end;
if extension_dsk='DSK' then begin
{$I-}
  filemode:=fmOpenRead;
  assignfile(fichero,nombre_dsk);
  reset(fichero);
  file_size:=filesize(fichero);
  getmem(datos_dsk,file_size);
  temp:=datos_dsk;
  blockread(fichero,temp^,file_size);
  closefile(fichero);
  stringgrid1.RowCount:=1;
{$I+}
end;
end;

procedure TForm6.FileListBox1DblClick(Sender: TObject);
var
  cadena:string;
begin
if extension_dsk='ZIP' then cadena:=extractfilename(nombre_zip)
  else cadena:=extractfilename(nombre_dsk);
if cadena='' then exit;
if insertdisk(0,file_size,datos_dsk) then begin
  child.Caption:=llamadas_maquina.caption+' - DSK: '+cadena;
  ResetFDC;
  dsk[0].ImageName:=cadena;
  form6.Button1Click(self);
end else begin
  MessageDlg('Error abriendo el disco: "'+cadena+'".', mtError,[mbOk], 0);
end;
freemem(datos_dsk);
datos_dsk:=nil;
end;

procedure TForm6.FileListBox1KeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
case key of
  13:FileListBox1DblClick(self);
  27:Button1Click(self);
end;
end;

procedure TForm6.FormShow(Sender: TObject);
begin
stringgrid1.Cells[0,0]:=leng[idioma].varios[0];
stringgrid1.Cells[1,0]:=leng[idioma].varios[1];
case tipo_maquina of
  0,1,2:DirectoryListBox1.Directory:=Directory.spectrum_disk;
  3,4,5:DirectoryListBox1.Directory:=Directory.amstrad_disk;
end;
Button2.Caption:=leng[idioma].mensajes[7];
Button1.Caption:=leng[idioma].mensajes[8];
end;

procedure TForm6.StringGrid1Click(Sender: TObject);
var
  ArchiveItem: TZFArchiveItem;
  temp:pbyte;
  zip_obj:tzipforge;
begin
if stringgrid1.RowCount=1 then exit;
if datos_dsk<>nil then begin
  freemem(datos_dsk);
  datos_dsk:=nil;
end;
zip_obj:=tzipforge.Create(nil);
zip_obj.CleanupInstance;
zip_obj.FileName:=nombre_dsk;
zip_obj.OpenArchive;
zip_obj.FindFirst(stringgrid1.Cells[0,stringgrid1.Selection.top],archiveitem);
nombre_zip:=archiveitem.FileName;
file_size:=archiveitem.UncompressedSize;
extension_zip:=extension_fichero(nombre_zip);
getmem(datos_dsk,file_size);
temp:=datos_dsk;
zip_obj.ExtractTobuffer(archiveitem.FileName,temp^,archiveitem.UncompressedSize);
zip_obj.CloseArchive;
zip_obj.Destroy;
end;

procedure TForm6.StringGrid1DblClick(Sender: TObject);
begin
StringGrid1Click(self);
FileListBox1DblClick(self);
end;

end.
