unit config_general;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,lenguaje,constantes, ComCtrls, Buttons;

type
  TMConfig = class(TForm)
    Button1: TButton;
    Button2: TButton;
    other: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    RadioGroup3: TRadioGroup;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    d1: TEdit;
    Label1: TLabel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    d2: TEdit;
    Label2: TLabel;
    SpeedButton3: TSpeedButton;
    d3: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    d4: TEdit;
    SpeedButton4: TSpeedButton;
    d5: TEdit;
    Label5: TLabel;
    procedure FormDeactivate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MConfig: TMConfig;
  salir_cgeneral:boolean;
  bot_idioma,bot_audio:array[0..5] of tradiobutton;
  bot_video:array[0..5] of tradiobutton;

implementation
uses principal;

{$R *.dfm}

procedure TMConfig.FormCreate(Sender: TObject);
begin
checkbox1.Caption:='Test for updates on start / Buscar actualizaciones al empezar';
checkbox2.Caption:='Arrancar driver en inicio / Load driver at start';
end;

procedure TMConfig.FormDeactivate(Sender: TObject);
begin
if not(salir_cgeneral) then MConfig.show;
end;

procedure TMConfig.FormKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
case key of
  13:Button1Click(nil);
  27:button2click(nil);
end;
end;

procedure TMConfig.FormShow(Sender: TObject);
var
  f:byte;
  pos:word;
begin
salir_cgeneral:=true;
RadioGroup1.Caption:=leng[idioma].archivo[1];
button2.Caption:=leng[idioma].mensajes[8];
//idioma
pos:=15;
for f:=0 to 5 do begin
  bot_idioma[f]:=tradiobutton.create(self);
  bot_idioma[f].Parent:=radiogroup1;
  bot_idioma[f].Top:=pos;
  inc(pos,17);
  bot_idioma[f].left:=13;
  bot_idioma[f].OnKeyUp:=FormKeyUp;
  bot_idioma[f].TabStop:=false;
end;
bot_idioma[0].Caption:='Castellano';
bot_idioma[1].Caption:='English';
bot_idioma[2].Caption:='Catal';
bot_idioma[3].Caption:='Francais';
bot_idioma[4].Caption:='German';
bot_idioma[5].Caption:='Brazil';
bot_idioma[idioma].Checked:=true;
//audio
pos:=15;
for f:=0 to 3 do begin
  bot_audio[f]:=tradiobutton.create(self);
  bot_audio[f].Parent:=radiogroup2;
  bot_audio[f].Top:=pos;
  inc(pos,17);
  bot_audio[f].left:=13;
  bot_audio[f].OnKeyUp:=FormKeyUp;
  bot_audio[f].TabStop:=false;
end;
bot_audio[0].caption:='11025';
bot_audio[1].caption:='22050';
bot_audio[2].caption:='44100';
bot_audio[3].Caption:=leng[idioma].opciones[3];
bot_audio[calidad_audio].Checked:=true;
//video
pos:=20;
for f:=0 to 5 do begin
  bot_video[f]:=tradiobutton.create(self);
  bot_video[f].Parent:=radiogroup3;
  bot_video[f].Top:=pos;
  inc(pos,17);
  bot_video[f].left:=13;
  bot_video[f].OnKeyUp:=FormKeyUp;
  bot_video[f].TabStop:=false;
end;
bot_video[0].Caption:='1X';
bot_video[1].Caption:='2X';
bot_video[2].Caption:='Scanlines';
bot_video[3].Caption:='Scanlines 2X';
bot_video[4].Caption:='3X';
bot_video[5].Caption:='4X';
bot_video[4].left:=150;
bot_video[5].left:=150;
bot_video[4].top:=20;
bot_video[5].top:=37;
bot_video[video-1].Checked:=true;
checkbox1.Checked:=buscar_inicio;
checkbox2.Checked:=auto_exec;
//Diretorios
D1.Text:= Directory.Nes;
D2.Text:= Directory.GameBoy;
D3.Text:= Directory.ColecoVision;
D4.Text:= Directory.Arcade_roms;
D5.Text:= Directory.Arcade_hi;
end;

procedure TMConfig.Button2Click(Sender: TObject);
begin
salir_cgeneral:=true;
close;
end;

procedure TMConfig.Button1Click(Sender: TObject);
var
  f,tmp_idioma,tmp_audio,tmp_video:byte;
begin
salir_cgeneral:=true;
Directory.Nes:= D1.Text;
Directory.GameBoy:= D2.Text;
Directory.ColecoVision := D3.Text;
Directory.Arcade_roms:= D4.Text;
Directory.Arcade_hi:= D5.Text;
for f:=0 to 5 do if bot_idioma[f].Checked then tmp_idioma:=f;
for f:=0 to 3 do if bot_audio[f].Checked then tmp_audio:=f;

if tmp_idioma<>idioma then begin
  idioma:=tmp_idioma;
  form1.IdiomaClick(nil);
end;

if tmp_audio<>calidad_audio then begin
  calidad_audio:=tmp_audio;
  form1.CambiaAudio(nil);
end;
for f:=0 to 5 do
  if bot_video[f].Checked then tmp_video:=f+1;
if tmp_video<>video then begin
  video:=tmp_video;
  form1.CambiarVideo(nil);
end;
buscar_inicio:=checkbox1.Checked;
auto_exec:=checkbox2.Checked;

close;
end;

end.
