unit samples;

interface
uses windows,dialogs,sysutils,zipforge,constantes;

const
  max_samples=$f;
type
  tipo_nombre_samples=record
      nombre:string;
  end;
  tipo_samples=record
                long:dword;
                playing:boolean;
                data:pbyte;
                pos:dword;
        end;
  pnom_sample=^tipo_nombre_samples;
  ptipo_samples=^tipo_samples;
var
  data_samples:array[0..max_samples] of ptipo_samples;

function cargar_samples(nombre_zip:string;nombre:pnom_sample;num_samples:byte):boolean;
procedure start_sample(num:byte);
function play_samples:integer;

implementation
uses principal;

function cargar_wav(nsample:byte;long:integer;ptemp:pbyte):boolean;
var
  cadena:string;
  h:byte;
  ltemp,f:dword;
  data,data2:pbyte;
  salir,fmt,datos:boolean;
  temp2,ncanales,nbits,temp:word;
  lsamples:integer;
begin
data:=ptemp;
data_samples[nsample].pos:=0;
data_samples[nsample].playing:=false;
cargar_wav:=false;
cadena:='';
for temp:=0 to 3 do begin
        cadena:=cadena+chr(data^);
        inc(data);
end;
fmt:=false;
datos:=false;
if cadena<>'RIFF' then exit;
inc(data,4);
cadena:='';
for temp:=0 to 3 do begin
        cadena:=cadena+chr(data^);
        inc(data);
end;
if cadena<>'WAVE' then exit;
salir:=false;
while not(salir) do begin
cadena:='';
for temp:=0 to 3 do begin
        cadena:=cadena+chr(data^);
        inc(data);
        end;
  if cadena='fmt ' then begin
    inc(data,4);
    //Tipo de compresion
    temp2:=sacar_word(data);
    inc(data,2);
    if temp2<>1 then exit; //Solo soporto PCM!
    //Numero de canales
    ncanales:=sacar_word(data);
    if ((ncanales<>1) and (ncanales<>2)) then exit;
    inc(data,2);
    //Samples seg.
    lsamples:=sacar_word(data);
    inc(data,2);
    lsamples:=sacar_word(data)*65535+lsamples;
    inc(data,2);
    //Me salto 'Average bytes seg' y 'Bloq align'
    inc(data,6);
    //Bits por sample (8 o 16)
    nbits:=sacar_word(data);
    inc(data,2);
    fmt:=true;
  end;
    if cadena='data' then begin
    //Longitud
    ltemp:=sacar_word(data);
    inc(data,2);
    ltemp:=sacar_word(data)*65535+ltemp;
    inc(data,2);
    //Y ahora resampleado a 44100 y 16bits
    case lsamples of
      11025:temp2:=4;
      22050:temp2:=2;
      44100:temp2:=1;
       else exit;
    end;
    getmem(data_samples[nsample].data,ltemp*temp2);
    data_samples[nsample].long:=ltemp*temp2;
    data2:=data_samples[nsample].data;
    case nbits of
      8:;
      16:ltemp:=ltemp div 2;
        else exit;
    end;
    for f:=0 to ltemp do begin
      if nbits=8 then begin
        temp:=data^ shl 8;
        inc(data);
      end else begin
        temp:=sacar_word(data);
        inc(data,2);
      end;
     case lsamples of
      11025:begin
              for h:=0 to 3 do begin
                data2^:=temp and $ff;
                inc(data2);
                data2^:=temp shr 8;
                inc(data2);
              end;
            end;
      22050:begin
              for h:=0 to 1 do begin
                data2^:=temp and $ff;
                inc(data2);
                data2^:=temp shr 8;
                inc(data2);
              end;
            end;
      44100:begin
              data2^:=temp and $ff;
              inc(data2);
              data2^:=temp shr 8;
              inc(data2);
            end;
     end;
    end;
    datos:=true;
  end;
  if ((cadena='fact') or (cadena='list') or (cadena='cue') or (cadena='plst') or (cadena='labl') or (cadena='ltxt') or (cadena='smpl') or (cadena='note') or (cadena='inst')) then begin
    //Longitud
    ltemp:=sacar_word(data);
    inc(data,2);
    ltemp:=sacar_word(data)*65535+ltemp;
    inc(data,2);
    inc(data,ltemp);
  end;
  if (fmt and datos) then salir:=true;
end;


end;

function cargar_samples(nombre_zip:string;nombre:pnom_sample;num_samples:byte):boolean;
var
  nsamples:byte;
  ptemp:pbyte;
  nom_sample:pnom_sample;
  zip_obj:tzipforge;
  ArchiveItem: TZFArchiveItem;
  long:integer;
begin
cargar_samples:=false;
nsamples:=0;
if not(fileexists(Directory.Arcade_samples+nombre_zip)) then exit;
nom_sample:=nombre;
zip_obj:=tzipforge.Create(nil);
zip_obj.CleanupInstance;
zip_obj.FileName:=Directory.Arcade_samples+nombre_zip;
zip_obj.OpenArchive;
try
    repeat
      zip_obj.FindFirst(nom_sample.nombre,archiveitem);
      if (archiveitem.filename='') then exit;
      long:=archiveitem.UncompressedSize;
      getmem(data_samples[nsamples],sizeof(tipo_samples));
      getmem(ptemp,long);
      //cargo el fichero WAV
      zip_obj.ExtractTobuffer(nom_sample.nombre,ptemp^,long);
      //extraigo la informacion
      cargar_wav(nsamples,long,ptemp);
      inc(nom_sample);
      inc(nsamples);
    until nsamples=num_samples;
except
    exit;
end;
freemem(ptemp);
zip_obj.CloseArchive;
zip_obj.Destroy;
cargar_samples:=true;
end;

procedure start_sample(num:byte);
begin
  data_samples[num].playing:=true;
  data_samples[num].pos:=0;
end;

function play_samples:integer;
var
  f:word;
  res:integer;
  data:pbyte;
begin
res:=0;
for f:=0 to max_samples-1 do begin
 if ((data_samples[f]<>nil) and (data_samples[f].playing)) then begin
    data:=data_samples[f].data;
    inc(data,data_samples[f].pos);
    inc(data_samples[f].pos,2);
    res:=res+integer(sacar_word(data));
    if data_samples[f].pos>=data_samples[f].long then data_samples[f].playing:=false;
 end;
end;
play_samples:=res;
end;

end.
